/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef KDARCONFIGOBJECT_H
#define KDARCONFIGOBJECT_H

#include "kdarConfigureDlg.h"

class KDarConfigObject : public kdarConfigureDlg
{
    Q_OBJECT

public:
    KDarConfigObject(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~KDarConfigObject();
    /*$PUBLIC_FUNCTIONS$*/

public slots:
    /*$PUBLIC_SLOTS$*/
    virtual void          slotStatusBarFont( const QFont & );
    virtual void          slotMessageWindowFont( const QFont & );
    virtual void          slotFileBrowserFont( const QFont &);
    virtual void          slotGeneralFont(const QFont &);
    virtual void          slotCompressionAlgorithmBZip2( bool );
    virtual void          slotFirstSliceSize( const QString &);
    virtual void          slotSliceSize( const QString &);
    virtual void          slotPassRef( const QString &);
    virtual void          slotExecuteRef( const QString &);
    virtual void          slotPasswordString( const QString &);
    virtual void          slotExecuteCommand( const QString &);
    virtual void          slotOutputPipe( const QString &);
    virtual void          slotInputPipe( const QString &);
    virtual void          slotArchiveStorageDirectory( const QString &);
    virtual void          slotArchiveName( const QString &);
    virtual void          slotRemoveAllFileFilter();
    virtual void          slotRemoveFileFilter();
    virtual void          slotEditFileFilter();
    virtual void          slotNewFileFilter();
    virtual void          slotRemoveAllDirectoryFilter();
    virtual void          slotRemoveDirectoryFilter();
    virtual void          slotEditDirectoryFilter();
    virtual void          slotNewDirectoryFilter();
    virtual void          slotRemoveAllCompressionFilter();
    virtual void          slotRemoveCompressionFilter();
    virtual void          slotEditCompressionFilter();
    virtual void          slotNewCompressionFilter();
    virtual void          slotCompressionAlgorithmNone( bool );
    virtual void          slotCompressionAlgorithmGZip( bool );
    virtual void          slotFileMaskType( int );
    virtual void          slotCompressionMaskType( int );
    virtual void          slotHourShiftInt( int );
    virtual void          slotMinimumCompressionSizeInt( int );
    virtual void          slotCompressionLevel( int );
    virtual void          slotCompressionAlgorithm( int );
    virtual void          slotFirstSliceSizeSuffix( int );
    virtual void          slotSliceSizeSuffix( int );
    virtual void          slotMedia( int );
    virtual void          slotIgnoreDump( bool );
    virtual void          slotKeepPruned( bool );
    virtual void          slotPauseBetweenSlices( bool );
    virtual void          slotSplitArchive( bool );
    virtual void          slotUseCreateArchiveWizard( bool );
    virtual void          slotFlatRestore( bool );
    virtual void          slotRestoreRecent( bool );
    virtual void          slotNoDelete( bool );
    virtual void          slotIgnoreID( bool );
    virtual void          slotSystemEA( bool );
    virtual void          slotUserEA( bool );
    virtual void          slotWarnOnOverwrite( bool );
    virtual void          slotAllowOverwrite( bool );
    virtual void          slotVerbose( bool );
    virtual void          slotHelp();
    virtual void          setMediaSize( int );

protected:
    /*$PROTECTED_FUNCTIONS$*/

protected slots:
    /*$PROTECTED_SLOTS$*/

};

#endif

